<form (ngSubmit)="onSubmitAddPost(postForm)" [ngClass]="{'was-validated':validation}" class="needs-validation"
  #postForm="ngForm">
  <div class="row vstack g-3">
    <div class="col-auto form-floating mb-3">
      <input type="text" [(ngModel)]="modelPost.title" name="title" class="form-control" id="post-title" required>
      <label for="post-title">Titre</label>
      <div class="invalid-feedback">
        Veuillez saisir un titre.
      </div>
    </div>
    <div class="col-auto form-floating mb-3">
      <select [(ngModel)]="modelPost.category.id" name="category" class="form-select" id="post-category" required>
        <option *ngFor="let category of lstCategories" [ngValue]="category.id">{{category.label}}</option>
      </select>
      <label for="post-category">Categorie</label>
      <div class="invalid-feedback">
        Veuillez saisir une catégorie.
      </div>
    </div>
    <div class="col-auto form-floating mb-3">
      <input type="text" [(ngModel)]="modelPost.image" name="image" class="form-control" id="post-image">
      <label for="post-image">Image</label>
    </div>
    <div class="col-auto form-floating mb-3">
      <textarea [(ngModel)]="modelPost.text" name="text" class="form-control" id="post-text" style="height: 200px"
        required></textarea>
      <label for="post-text">Texte</label>
      <div class="invalid-feedback">
        Veuillez saisir un texte.
      </div>
    </div>
  </div>
  <div class="col-12 d-flex justify-content-center justify-content-md-end">
    <button class="btn btn-secondary me-2" type="button" (click)="cancel()">Annuler</button>
    <button class="btn btn-info" type="submit">Valider</button>
  </div>
</form>